LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XDecryptionResultBroadcaster Interface Reference

Interface of Decryption Result Broadcaster. More...

`import"XDecryptionResultBroadcaster.idl";`

Inheritance diagram for XDecryptionResultBroadcaster:

## Public Member Functions
void | addDecryptionResultListener ([in] XDecryptionResultListener listener) raises ( com::sun::star::uno::Exception )
| Adds a new decryption result listener. More...
void | removeDecryptionResultListener ([in] XDecryptionResultListener listener)
| Removes a decryption result listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Decryption Result Broadcaster.

This interface is used to manipulate decryption result listener.

## Member Function Documentation

## ◆ addDecryptionResultListener()

void addDecryptionResultListener | ( | [in] XDecryptionResultListener | listener | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Adds a new decryption result listener.

When the decryption is finished, the result information will be sent to this listener.

Parameters

  listener | the listener to be added

## ◆ removeDecryptionResultListener()

void removeDecryptionResultListener | ( | [in] XDecryptionResultListener | listener | ) |

Removes a decryption result listener.

After a listener is removed, no result information will be sent to it.

Parameters

  listener | the listener to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XDecryptionResultBroadcaster.idl